Subject: Re: [PATCH v3] PM / QoS: Introduce new classes: DMA-Throughput and DVFS-Latency

From: "Rafael J. Wysocki" <[email-masked]>
Date: Sat, 10 Mar 2012 23:22:19 +0100

Hi,

On Friday, March 09, 2012, MyungJoo Ham wrote:
> On Wed, Mar 7, 2012 at 6:36 PM, MyungJoo Ham <[email-masked]> wrote:
> > 2012/3/7 Rafael J. Wysocki <[email-masked]>:
[...]
> Hi Rafael,
> 
> 
> Here goes to-be-pulled branches for linux-pm.git of yours (pm-devfreq,
> pm-qos); they have some updates since last submissions (like those
> mentioned by Mike)
> Please use the following addresses if you feel fine for them to be pulled.
> 
> 
> Cheers!
> MyungJoo.
> 
> -------- PM / devfreq (fitted for pm-devfreq branch) ----------
> The following changes since commit e4c9d8efe6bdc844071d68960dfa2003c5cf6449:
> 
>   Merge branch 'devfreq-for-next' of
> git://git.infradead.org/users/kmpark/linux-samsung into pm-devfreq
> (2012-01-25 00:02:08 +0100)
> 
> are available in the git repository at:
> 
>   git://git.infradead.org/users/kmpark/linux-samsung devfreq-for-next
> 
> GITWEB: http://git.infradead.org/users/kmpark/linux-samsung/shortlog/refs/heads/devfreq-for-next
> 
> MyungJoo Ham (2):
>       PM / devfreq: add PM QoS support
>       PM / devfreq: add relation of recommended frequency.

This patch I'm fine whith and I can either take it as a standalone patch
or pull it from your tree if you put it into a separate branch for me.

The previous one, however, I'm not entirely comfortable with and I'd like
to discuss it in more detail.  Can you please post it for discussion?

>  drivers/devfreq/devfreq.c     |  193 +++++++++++++++++++++++++++++++++++++++--
>  drivers/devfreq/exynos4_bus.c |   14 ++-
>  include/linux/devfreq.h       |   53 +++++++++++-
>  3 files changed, 245 insertions(+), 15 deletions(-)
> 
> 
> 
> -------- PM / QoS (fitted for pm-qos branch) ----------
> The following changes since commit a9b542ee607a8afafa9447292394959fc84ea650:
> 
>   PM / QoS: unconditionally build the feature (2012-02-13 16:23:42 +0100)
> 
> are available in the git repository at:
>   git://git.infradead.org/users/kmpark/linux-samsung pm_qos-for-next
> 
> GITWEB: http://git.infradead.org/users/kmpark/linux-samsung/shortlog/refs/heads/pm_qos-for-next
> 
> MyungJoo Ham (2):
>       PM / QoS: Introduce new classes: DMA-Throughput and DVFS-Latency
>       PM / QoS: add pm_qos_update_request_timeout API

I'd prefer all discussions to settle down before pulling these two.

Thanks,
Rafael